package com.retail_store.order_management.service;


import com.retail_store.order_management.model.OrderedProduct;
import com.retail_store.order_management.model.Product;

import java.sql.Connection;
import java.util.Collection;

public interface RetailStore {
    public boolean addProduct();

    public boolean placeOrder();

    public Collection<OrderedProduct> createOrder(Connection connection);

    public boolean addProductToCart(Collection<OrderedProduct> cart, Product product, Connection connection);
}
